import { ComponentProps } from 'react';

type HTMLButtonAttributes = ComponentProps<'button'> & {
    [key: `data-${string}`]: string;
};
export interface ConfirmToastProps {
    asModal?: boolean;
    buttonCloseA11y?: string;
    buttonCloseAttributes?: HTMLButtonAttributes;
    buttonNoAttributes?: HTMLButtonAttributes;
    buttonNoText?: string;
    buttonYesAttributes?: HTMLButtonAttributes;
    buttonYesText?: string;
    className?: string;
    customFunction: () => void;
    position?: 'bottom-left' | 'bottom-right' | 'top-left' | 'top-right';
    setShowConfirmToast: React.Dispatch<React.SetStateAction<boolean>>;
    showCloseIcon?: boolean;
    showConfirmToast: boolean;
    theme?: 'light' | 'dark' | 'snow' | 'lilac';
    toastText?: string;
}
export declare function ConfirmToast({ asModal, buttonCloseA11y, buttonCloseAttributes, buttonNoAttributes, buttonNoText, buttonYesAttributes, buttonYesText, className, customFunction, position, setShowConfirmToast, showCloseIcon, showConfirmToast, theme, toastText, }: ConfirmToastProps): import("react/jsx-runtime").JSX.Element;
export {};
